# Get some variables provided by autosubmit.
# TODO: What do we do to ensure that these variables are defined in the proj file?
WORKDIR=%HPCROOTDIR%
ICON_VERSION=%ICON_VERSION%
SPACK_URL=%spack.url%
SPACK_BRANCH=%spack.branch%
SPACK_COMPILER=%spack.compiler%


# If the workdir directory does not exist create it
if [ ! -d ${WORKDIR} ] ; then
        mkdir -p ${WORKDIR}
fi

# Go to the working directory
cd ${WORKDIR}

# Check if experiment's spack installation already exists, if it doesn't, clone it.
SPACK_ENV=spack/share/spack/setup-env.sh
if [ ! -f ${SPACK_ENV} ] ; then
  git clone ${SPACK_URL} -b ${SPACK_BRANCH}
  #TODO: Would be good to enable the re-utilization of existing spack packages (via packages.yaml or upstreams.yaml)
fi

# Setup the environment
source ${SPACK_ENV}


if [ $( spack find icon-nwp@${ICON_VERSION} &> /dev/null ; echo $? ) -ne 0 ]; then
        echo "Installing icon-nwp@${ICON_VERSION}."
        # Compile openmpi with schedulers=slurm
        spack install openmpi%${SPACK_COMPILER}+legacylaunchers schedulers=slurm
        spack install icon-nwp@${ICON_VERSION}%${SPACK_COMPILER} ^openmpi%${SPACK_COMPILER}
else
        echo "icon-nwp@${ICON_VERSION} already installed!"
fi
