#!/bin/bash -l

# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
ICON_VERSION=%ICON_VERSION%

BGRID_GLOBAL=%simulation.BGRID_GLOBAL%
RGRID_GLOBAL=%simulation.RGRID_GLOBAL%

STARTDATE=%SDATE%

MEMBER=%MEMBER%

# Define rundir
RUNDIR=${WORKDIR}/${STARTDATE}/${MEMBER}

# Activate spack
SPACK_ENV=${WORKDIR}/spack/share/spack/setup-env.sh
source ${SPACK_ENV}

# Load icon module
spack load icon-nwp@%ICON_VERSION%

# Create member folder and go there
mkdir -p ${RUNDIR}

cd ${RUNDIR}

# Download or copy required input files
function download_file() {
  URL=$1
  FILE=${2:-$(basename $URL)}
  if [ ! -e $FILE ]; then
    echo "Download $URL => $FILE"
    wget -q $URL -O $FILE
  fi
}

# Download or copy required input files

download_file http://icon-downloads.mpimet.mpg.de/grids/public/edzw/$BGRID_GLOBAL
download_file http://icon-downloads.mpimet.mpg.de/grids/public/edzw/$RGRID_GLOBAL

# input for radiation
ln -sf ${ICON_DATA_PATH}/rrtmg_lw.nc .
ln -sf ${ICON_DATA_PATH}/ECHAM6_CldOptProps.nc .
